COOKIETOOL(6)

NAME
cookietool - program to operate cookie (fortune) database

SYNOPSIS
cookietool [options] <database>

DESCRIPTION
This manual page documents briefly the cookietool command.

This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page. Instead, it has some plaintext documentation, see below.

cookietool is a program that should be used to sort, clear and maintain cookie database in standard fortune(6) format, i.e. list of cookies delimited with line containing a single percent ('%') char. cookietool can now understand another formats and convert cookie database between them.

OPTIONS
A summary of options is included below. For a complete description, see the documentation in /usr/share/doc/cookietool directory

[nothing]
    Shows summary of options.

-c  case sensitive comparisons.

-d[0-3]
    how fussy about word delimiters? (default: 2)

-b  delete cookies that are 'abbreviations' of another, too.

-p  passive, don't delete anything.

-s[l|w|<sep>|s]
    sort cookies; looking after last line only; looking after last word only; starting after the last <sep>, e.g. '-s--'; by size.

-a  treat 'abbreviations' as doubles (i.e. delete them from the database, too).

-f[0-3]
    input file format - -f3: cookies are separated by '%%' lines; -f2: cookies are separated by '%' lines (DEFAULT); -f1: each line is a cookie; -f0: each word is a cookie.

-F[0-3]
    force output in a different file format, see -f.

-o  overwrite directly without temporary file. CAUTION NEEDED.

SEE ALSO
cdbdiff(6), cdbsplit(6)

BUGS
None known.

AUTHOR
Upstream author and Aminet cookietool.lha package with AmigaOS binaries uploader is Wilhelm Noeker, <wnoeker@t-online.de>. Unix manpages (including this one) and makefile are maintained by Miros/law L. Baran <baran@debian.org>. This manual page uses many excerpts from the original README file.